Zen 7.x-5.1, 2012-05-18
-----------------------
- #1558952 by oeroek: #navigation overflows parent container in fixed width layout
- #1567606 by bluehat: #content overflows parent container in fixed width layout, with no sidebars
- #1571832: PHP Notice: Undefined index: content in template.php's zen_html_head_alter()
- #1577934 by n8tron: Use of add_import_path in config.rb causes compass watch to fail
- Update to Zen Grids 1.2
- #1554848 by bluehat: Vertical positioning of navigation is wrong/too high
- #1557828: PHP warnings due to maintenance-page.tpl being out-of-sync from html.tpl and page.tpl

Zen 7.x-5.0, 2012-04-27
-----------------------
- #1539166: Remove page-backgrounds.css
- #1420476 by maartenverbaarschot and JohnAlbin: a.button needs styling
- #1532268: Allow sub-theme to import a module's Sass files
- #1530204: Update meta tags to match Drupal 8
- #1463138 by JohnAlbin and KrisBulman: Tabs css conflict with views
- #1144240 by KrisBulman and JohnAlbin: Make menu block styling the same as theme's menu links in navigation region
- #1527126: Inline link styling is broken
- #1524228: Turn off IE6/7 support by default
- #1181622: Add responsive layouts to Zen
- #1403052 by jensimmons: Add if statement around <header> in node.tpl
- Remove clearfix classes from page.tpl
- #1468104: Conditional classes on html tag cause IE compatibility mode button to show
- #1440230: Update IE html classes to match new names from HTML5 boilerplate v3
- #1105868 by maartenverbaarschot, echoz and JohnAlbin: Add needed JavaScript documentation to script.js
- #1406704 by echoz, 3goose and JohnAlbin: double dash in comments breaks layout in Camino and some other browsers
- #1426260 by gleroux02: Javascript error in html5-respond.js
- #1389060: Update to v3 of HTML5 shim and remove InnerShiv
- #1361592: Remove div.content from block.tpl
- #1348258: Add box-sizing: border-box to the Zen Columns layout method
- #1355444: $rdf_namespaces variable incorrectly printed in maintenance-page.tpl
- #1246540 by EverettZ, JohnAlbin, KrisBulman, mgifford: Add aria landmark roles to Zen
- #1249314: Make respond.js, HTML5 shim and mobile meta tags optional
- #1347236: Convert page markup to HTML5
- #1352308: Add HTML comments for region template suggestions
- #1352296: Remove "with-navigation" class and make navigation bar display unconditionally
- #1348032 by JohnAlbin, maartenverbaarschot and echoz: Convert breadcrumb markup to HTML5
- #1347934: region--content.tpl doesn't override region--no-wrapper.tpl
- #1343982: Convert node markup to HTML5
- #1343896: Convert comment markup to HTML5
- #1343916: Make user pictures more semantic by inlining with "submitted" content
- #1343856: Add <time> with pubdate to nodes and comments
- #1295296 by echoz and JohnAlbin: Add HTML5 display definitions from D8 and normalize.css
- #1329530: Rename "--bare" templates to use the more descriptive "--no-wrapper"
- #1295716 by KrisBulman: system.menu.css only overridden in starterkit, not zen
- #1249314 by KrisBulman and JohnAlbin: Add theme setting for HTML5 shim and Respond.js
- #1249314 by KrisBulman and JohnAlbin: Fix respond.js
- Work-around for a core bug affecting node edit forms; see issue #943212
- Add $html_attributes and $html_attributes_array to html.tpl
- #1179128 by JohnAlbin: Too easy to get undefined variable in maintenance-page.tpl.php
- #1249790 by KrisBulman and JohnAlbin: Convert tabs from old sliding-door CSS technique to CSS3
- #1279236: Override core's system.menus.css since we already override the styles
- #1154358 by mverbaar, barraponto and JohnAlbin: Rename theme setting variables for skip link
- #1239390 by JohnAlbin and KrisBulman: Add conditionally-classed HTML tag and remove IE conditional stylesheets
- #1249314: Add Respond.js to Zen
- #1249326: Add HTML5 shim and innerShiv to Zen
- #1245900: Strip wrapping divs from "main page content" block and content region
- #1239390: Add conditionally-classed HTML tag and remove IE conditional stylesheets
- Add meta tags necessary for mobile device support
- Remove HTTP request for print stylesheet
- #1134622: Add Sass versions of CSS files
- #535038: Convert to HTML 5

Zen 7.x-3.x-dev, xxxx-xx-xx (development release)
---------------------------
- #1239784: Make zen logo's alpha channel be IE6 compatible
- #1478244: Weight needed for conditional stylesheets added via drupal_add_css()
- #469f073: Fix font sizing of monospace fonts
- #1249842: Deprecate liquid layout CSS
- #1279838 by JohnAlbin and Bevan: Deleted regions cause PHP notices in maintenance-page.tpl.php
- #1354356: Fix broken #skip-link styling in stylesheets
- #1110650: Remove work-around for missing anonymous class on comments (fixed by Drupal 7.9)
- Work-around for a core bug affecting admin themes. See issue #943212.
- #1258280 by barraponto: Document $page['navigation'] in page.tpl
- #105524 by davidhwang: Redundant label CSS overrides Webform label placement selector
- #1241090 by KrisBulman: Incorrect calc in html-reset comment
- #1174290 by naxoc: Fix code error in js/README.txt
- #1154358 by mverbaar, barraponto and JohnAlbin: Add theme setting for skip link text
- #1245222: Field styling bleeds into node edit forms
- #1138744: Port panels layouts to Drupal 7

Zen 7.x-3.1, 2011-04-26
-----------------------
- #812480 by Garrett Albright and JohnAlbin: Make "Jump to Nav" link configurable
- #1135120: PHP notice about undefined $highlight variable on maintenance-page.tpl
- #705264 by grendzy: Allow Zen (and subthemes) to be used without a database
- #774838: Add view_mode class to node.tpl
- #1126206 by mahfiaz: Typo in print.css; should be .region-footer
- #1118168 by kristofer: Remove toolbar from printed pages
- #1118182: Block-level vertical rhythm CSS rule is broken
- #1117372: Bullets appear next to Main menu links and Secondary menu links

Zen 7.x-3.0, 2011-04-06
-----------------------
- #774836 by hefox: Check if node $title is set before outputting
- #992616 by JohnAlbin and adrinux: Comments in layout RTL stylesheets are incorrect
- #822570 by JohnAlbin and AaronCollier: Add focus styling to tabs
- #1092372 by JohnAlbin and davebv: Simplify pages styling
- #1115330: Styling in ie.css is only needed for IE7 and earlier
- #481952 by kdebaas and JohnAlbin: Add vertical rhythm to line heights and margins
- #370419: Remove messages.css in favor of core's styling
- #1102770: Installing Zen prevents Appearance page from loading on some systems
- #835982 by JohnAlbin, mverbaar, marcvangend: Drush support for sub-theme creation
- #1084504 by Crossfeed, komal.savla, Network and JohnAlbin: PHP Error when secondary menu or menu module is disabled
- #1085422 by hswong3i: Highlighted region's machine name doesn't match core
- #1082242 by joeyabbs: Maintenance page is missing span around site name
- #1074822: Update fields.css to use new classes for fields in core
- #1110842: Comment preview color is missing due to mis-targeted CSS rule
- #1110650: Anonymous comment class is broken in core
- #1079010: The secondary links heading, "Secondary menu", is wrong
- #1078994: Move secondary menu links from footer to header
- #1072302: Use element-focusable class for skip link accessibility
- #1072268: Zen theme doesn't load RTL styles
- #929630 by juan_g and akalata: URL for overriding stylesheets documentation has changed
- #1069106: Update theme-settings.php to use Form API states
- #950206 by n8tron, Mtro and JohnAlbin: Update README in STARTERKIT
- #1053874 by n8tron and JohnAlbin: Update README in STARTERKIT/templates
- #1064706: Use $variables instead of $vars to match D7 code snippets
- #1067062: Remove duplicate classes (like node-type-TYPE) from node.tpl.php
- #940882: $readmore variable is missing from node.tpl.php
- #950538 by hswong3i: User pictures should use .user-picture class
- #1066478: Add missing title prefix/suffix variables to comment-wrapper.tpl
- #1066472: Render comments and form to see if headings are needed
- #1066452: Remove STARTERKIT_preprocess() placeholder since it's expensive and rarely needed
- #1066436: STARTERKIT_theme() no longer needs to call zen_theme()
- #1066426: No longer need to force the search for region__ suggestions
- #1066386: Region tpls need to check for $content before printing wrapper
- #1046030: Tabs div is always rendered
- #1064390: Allow easier modification of breadcrumb's header
- #1053036: Update screenshot.psd source image
- #1061794 by Scott J and JohnAlbin: taxonomy terms no longer get special treatment in node.tpl
- #936912 by n8tron and JohnAlbin: feed icon has wrong css class
- #841988 by linclark and JohnAlbin: #navigation .content rule not targeting anything
- #978640 by marcvangend: Whitespace before comment causes jQuery error
- #1063814: Remove count-X and region-* classes from block.tpl.php
- #1046394 by n8tron and JohnAlbin: Add first and last classes to blocks
- #1060122: Add missing $block_html_id to block.tpl.php
- #948666 by danillonunes and JohnAlbin: Update block classes in blocks.css
- #1045116: Add accessible title text to theme_breadcrumbs to match markup in D7
- #555910: "Append title to breadcrumbs" option shows doubled titles on non-default tabs
- #1044586: Fix "Rebuild theme registry" feature
- #923382: Conditional stylesheets should use drupal_add_css()
- #987916: Submitted by text doesn't use $submitted variable introduced in Drupal 7.0-rc1
- #978810 by bellHead: Region-specific template suggestions for sidebar regions always use region--sidebar.tpl.php
- #986290: $tabs displaying as string 'Array' due to change in theme_menu_local_tasks()
- #814978 by scor: The name attribute in an a tag is not valid in XHTML+RDFa 1.0
- #875528 by linclark: Theme registry rebuilt warning not linked to admin page
- #780690: Notice: Undefined index: date in _zen_preprocess_comment()
- #729144 by Frank Ralf: Update STARTERKIT theme-settings.php for Drupal 7
- #563060 by seutje and JohnAlbin: Port Zen to Drupal 7

Zen 6.x-2.1, 2011-04-05
-----------------------
- #774836 by hefox: Check if node $title is set before outputting
- #705264 by JohnAlbin, Jehu, mlncn and zenic: Allow Zen (and subthemes) to be used without a database
- #1046090 by daniels and JohnAlbin: $styles is destroyed by rare bug with APC
- #1083700: Add $submitted variable back into node.tpl
- #1086820 by tacituseu: Views classes redundant since Views 6.x-2.9
- #1017062 by adrinux: Block edit links span entire block on RTL pages
- #774838 by bangpound, hefox and JohnAlbin: Add default case for build_mode
- #919838 by saem, rgbivens and JohnAlbin: Theme description links to wrong docs
- #992616 by JohnAlbin and adrinux: Comments in layout RTL stylesheets are incorrect
- #822570 by JohnAlbin and AaronCollier: Add focus styling to tabs
- #1072268: Zen theme doesn't load RTL styles
- #929630 by juan_g and akalata: URL for overriding stylesheets documentation has changed
- #742208: Conflict with domain theme module
- #1063226 by tacituseu, danillonunes and barraponto: Unpublished comment style is not applied
- #962356: Convert region template suggestions into theme hook suggestions
- #978640 by marcvangend: Whitespace before comment causes jQuery error
- #1046394 by n8tron and JohnAlbin: Add first and last classes to blocks
- #870080 by mverbaar: Correction to README.TXT for STARTERKIT
- #707410 by AdrianB: improve detection of Panels pages
- #634552 by JohnAlbin and tim.plunkett: Conflict with context module
- #941714: Modules setting $classes in preprocess functions breaks expected Zen classes
- #932826: mytheme_links__system_main_menu() doesn't work as expected
- Fix PHP warning on maintenance page
- #690026: Cannot override region.tpl.php

Zen 6.x-2.0, 2010-06-26
-----------------------
- #791056 by meatsack and JohnAlbin: Zen clobbers Views 3 classes
- #838338: element-invisible class doesn't fully hide elements
- #723514 by kmonty: Link in STARTERKIT description incorrect
- Skip navigation's ID changed from #skip-to-nav to #skip-link
- Added $block_html_id to block.tpl.php
- #772488 by andreiashu: Fatal error: Call to undefined function
  ctools_menu_primary_local_tasks()
- #707410 by agentrickard and JohnAlbin: Add page-views and page-panels body classes
- #691426: Add D7-style named implementations of theme_links in page.tpl
- #683904: SUBTHEME_process functions do not work
- #552156: broken clearfix class causes overlapping containers in IE7
- #593290 by sfyn and JohnAlbin: Chaos Tools/Panels edit tab not working with Zen
- #661628 by Jacine and JohnAlbin: Integration with Skinr module
- by Jacine: Added views-view.tpl.php with support for $classes variables
- by caroltron, gleroux02, _natron, and JohnAlbin: Add panels 3 layouts using
  Zen layout method

Zen 6.x-2.0-beta1, 2009-11-10
-----------------------------
- #478134 by mithrill: Improve docs about sites/all/themes and sites/default/themes folders
- #628070 by Aren Cambre: Change "jquery" to "JavaScript" in STARTERKIT.info.txt
- #626868 by alefteris: Replace Bitstream Vera with DejaVu fonts
- #624818 by Aren Cambre and Garrett Albright: Tahoma shouldn't be first font pick
- #600344 by mgifford: Use of absolute font size in block editing links breaks WCAG 2.0
- #546904 by Jennifer_M: List $node as available variable in page.tpl.php
- #583716 by droidenator: Empty title can cause breadcrumbs to display incorrectly
- #600920 by kto.3decb: Fix incorrect comment block class name
- #624046: Replace zen_id_safe() with drupal_html_class() and drupal_html_id()
- Renamed $closure_region region to $page_closure
- #622324: Update page.tpl to use ideas from D7
  - Renamed #page and #page-inner to #page-wrapper and #page
  - Added <span> around site name
  - Moved #skip-to-nav styling to pages.css
  - Removed #navigation link anchor
  - Renamed div#header-inner to div.section which can be themed with #header .section
  - Renamed #main and #main-inner to #main-wrapper and #main
  - Renamed div#content-inner to div.section which can be themed with #content .section
  - Removed #content-header div
  - Added $highlight region
  - Renamed #navbar div to #navigation
  - Renamed $navbar region to $navigation
  - Renamed .with-navbar class to .with-navigation
  - Added #navigation .section div
  - Removed #sidebar-first, #sidebar-first-inner, #sidebar-second, #sidebar-second-inner and moved styles to .region-sidebar-first, .region-sidebar-first .section, .region-sidebar-second, .region-sidebar-second .section
  - Added #footer .section div
- Added region-sidebar.tpl.php template suggestion
- #308254: Make "skip to nav" styling more useful and less intrusive
- #621798: Change sidebar variables to be RTL friendly and $shows_blocks compatible
- #547696: Update node.tpl to use ideas from D7
  - Renamed $picture to $user_picture in node.tpl.php
  - Renamed .sticky class to .node-sticky in node.tpl.php
  - Removed #node-inner div
  - Added $display_submitted variable and deprecated $submitted variable
  - Renamed the .node-mine class to .node-by-viewer
- #620794: Update block.tpl to use ideas from D7
  - Removed .block-inner div
  - Renamed $block->subject variable to $title
  - Renamed $block->content variable to $content
- #548994: Update comment.tpl and comment-wrapper.tpl to use ideas from D7
  - Renamed comment-wrapper's h2#comments-title to #comments h2.title
  - Added $created to comment.tpl and deprecated $submitted
  - Removed #comment-inner div
  - comment div classes changed:
    - .comment-by-anon changed to .comment-by-anonymous
    - .comment-by-author changed to .comment-by-node-author
    - .comment-mine changed to .comment-by-viewer
    - .comment-published was removed
- #311458: Search box gets disabled after arbitrary amount of time
- Added $classes and $classes_array to all templates, not just Zen's templates
- Renamed page.tpl's $body_classes and $body_classes_array to $classes and $classes_array
- #564068: Views classes are missing from $classes variable
- Simplified header, content_top, content_bottom, navbar, and footer region markup
- Add region.tpl.php template
- Render $edit_links_array in zen_process_block
- #546858: Add THEME_process_HOOK functions to Zen
- #317417 by JohnAlbin and quicksketch: Fix off-line maintenance page since drupal_get_path('theme', 'zen') won't work
- #549798 by caroltron: page-backgrounds.css missing from .info file
- Remove ie5.css from STARTERKIT and deprecate support for IE5
- #547696: Update node.tpl to use ideas from D7
- Renamed $picture to $user_picture in node.tpl.php
- Renamed sticky class to node-sticky in node.tpl.php
- Added $build_mode variable to node.tpl.php
- #445814: Change primary/secondary link rendering and move secondary menu to footer
- #445822: Simplify wrapper divs around logo, site name, slogan
- #546862: Add D7's element-hidden and element-invisible for accessibility features
- #547382: Rename Zen's reset stylesheet to html-reset.css from html-elements.css
- #527494: Follow Drupal's proposed CSS coding standards
- #480610 by kdebaas: css class .field-type-image does not exist anymore in 6.x version of the module
- #545320 by Deslack: Use of split() generate E_DEPRECATED warnings on PHP 5.3.0
- #542818: Using alternate layout method causes .clearfix class to disappear
- #546828: Move tpl.php files to a templates folder in the root zen directory
- #546792: Remove box.tpl.php
- #513926: Sub-themes cannot reorder the stylesheets of the base theme
- #456136: Move zen stylesheets into STARTERKIT/css
- #544750 by kdebaas: Wrong sidebar class naming in maintenance-page.tpl.php
- #529796: Make block edit links easier to edit/turn off individually
- Added $classes_array variable to node, block and comment templates
- Add layout.css in Zen's .info file to properly position sub-theme's layout.css
- #379902: Make all stylesheets RTL compatible
- #472694: Drupal 6.11 broke Zen's OpenID overrides
- #375976 by JohnAlbin and Amitaibu: Flip sidebar positioning on RTL
- #375953 by Amitaibu and JohnAlbin: Change sidebar names to be RTL friendly
- Updated screenshot.png to use Zen logo since an actual screenshot is boring
- Changed "or" back to "||" in node.tpl.php since themers do need to learn a little PHP
- #254821: Sub-theme's .info file triggers incorrect "out of date" flag in update module
- Added blockquote indent stlying
- Removed navigation-top named anchor from page templates
- #382598: .node div.links ruleset doesn't match html in node template
- #452118: Removed redundant wrapper div around comment links
- #382480 by Ognyan Kulev: #block-menu-2 should be #block-menu-primary-links
- #374349: breadcrumb often broken when zen_breadcrumb_title is on
- #426750: Removed Zen Classic sub theme
- #445830: Rename clear-block CSS class to clearfix
- #445790: Move search box to header
- #445562: q0rban and JohnAlbin: Allow modules to declare their own block edit links
- Added optional node-type-specific preprocess functions
- Added notes about mobile stylesheets to STARTERKIT.info
- #200495 by JohnAlbin, caroltron, and Toe: Split up monolithic zen.css into smaller, logical stylesheets
- #328221 by kmonty and JohnAlbin: Split up ie.css to remove CSS hacks

Zen 6.x-1.2, 2011-02-26
-----------------------
- #593290 by sfyn and JohnAlbin: Chaos Tools/Panels edit tab not working with Zen

Zen 6.x-1.1, 2009-11-10
-----------------------
- #478134 by mithrill: Improve docs about sites/all/themes and sites/default/themes folders
- #600758 by mattyoung: Secondary links run together in one line with primary links
- #600344 by mgifford: Use of absolute font size in block editing links breaks WCAG 2.0
- #546904 by Jennifer_M: List $node as available variable in page.tpl.php
- #583716 by droidenator: Empty title can cause breadcrumbs to display incorrectly
- #600920 by kto.3decb: Fix incorrect comment block class name
- #297084: Remove ctype_lower() from zen_id_safe() to prevent WSOD/Fatal error on some systems
- #317417 by JohnAlbin and quicksketch: Fix off-line maintenance page since drupal_get_path('theme', 'zen') won't work
- #545320 by Deslack: Use of split() generate E_DEPRECATED warnings on PHP 5.3.0
- #472694: Drupal 6.11 broke Zen's OpenID overrides
- Updated screenshot.png to use Zen logo since an actual screenshot is boring
- Changed "or" back to "||" in node.tpl.php since themers do need to learn a little PHP
- #254821: Sub-theme's .info file triggers incorrect "out of date" flag in update module
- #327455 by grendzy and erifneerg: name and id mismatch in named anchor causing validation error
- #382598: .node div.links ruleset doesn't match html in node template
- #382480 by Ognyan Kulev: #block-menu-2 should be #block-menu-primary-links
- #374349: breadcrumb often broken when zen_breadcrumb_title is on
- #426750: Removed Zen Classic sub theme
- #445562: q0rban and JohnAlbin: Allow modules to declare their own block edit links

Zen 6.x-1.0, 2009-02-14
-----------------------
- #342004 by Amitaibu: Add css hint to prevent cramped-looking tables
- #290657: Liquid layout does not have min-width enforced
- #329769 by kmonty: Update zen_id_safe to remove underscores
- #275832: hook_theme implementation breaks maintenance page when database is down
- #362104: layout breaks on Zen-themed maintenance page
- Changed "or" back to "||" in template files since themers do need to learn a little PHP
- #346867 by debonator: navbar-inner is missing the "clear-block" class
- #325610 by Garrett Albright: Site name and logo don't link to frontpage on multilingual site
- #281106: Erroneous whitespace when div.clear-block touches bottom edge of viewport
- #365631: Zen's table-styling-fix breaks update module's styling
- #322480 by grendzy, mr.baileys, Bevan, and JohnAlbin: Make registry rebuild warning less obtrusive
- #325630: Broken link in "Theme registry rebuilt" warning when Clean URLs is off
- #324104 by JohnAlbin and dalin: Broken block editing link for Views 2
- #365205: block editing link doesn't work with Menu Block 6.x-2.1 and later
- #308251 by Garrett Albright: Improve icon placement on status, warning, and error messages
- Added $body_classes_array variable to page template
- #343945: Fix zen_breadcrumb_title setting to use proper menu_get_active_item()
- #279896 by lutegrass: Help prevent double H1 tags on homepage that is not /node
- #310507 by MikeyLikesIt: Footer region not output in Zen Classic
- #347195: Remove theme registry fix that was needed for broken Drupal 6.0 - 6.6
- #346706 by jsaints: Content clipped after page one when printing in Firefox
- #311529: Remove core's page-ARG0 body class, leaving zen's page-PATH
- Simplified body class generation code
- #334956 by hansrossel: Remove no-longer-needed fix for "Flash of Unstyled Content in IE"
- Fixed theme settings CSS for IE6 users
- Added Photoshop file for STARTERKIT screenshot
- Added Photoshop file for messages
- Allow easier CSS rule overriding by including THEMENAME.css file last
- Fixed message styling in Zen Classic
- #308957: html-elements.css not enabled in STARTERKIT
- #288213 by budda: Tabs in IE have a text select cursor rather than hand pointer
- #310818: Auto theme-registry rebuild warns themer multiple times

Zen 6.x-1.0-beta3, 2008-09-15
-----------------------------
- #308251: Add useful styling for status, warning, and error messages
- #307309: Add feature to rebuild theme registry during theme development
- Removed path_to_zentheme() since we're not conditionally including wireframes.css or block-editing.css
- #245832: Add IE conditional stylesheets to .info file
- #263228: Allow sub-themes to override wireframes.css
- #260605: Can't override block-editing.css
- #308266: Don't display footer if no footer message or footer blocks
- Changed $block_classes to $classes and $comment_classes to $classes and $node_classes to $classes
- #290838 by thehong: Only display comments block when comments content is not empty
- Don't display comment wrapper title on forums
- #299397: Synchronize Zen's tpl files with core's tpl files
- #281106 by kmonty: Erroneous whitespace when div.clear-block touches bottom edge of viewport
- Changed "||" to "or" in template files since its more intuitive to PHP newbies
- #279896: Help prevent double H1 tags on homepage that is not /node
- #279896: Moved styles to zen.css that should never have been in layout.css
- #255265 by kmonty: Don't "skip to nav" if there's no nav
- Re-arranged sidebar classes so they are in no-sidebars -> two-sidebars order in the layout CSS files
- #306856: Optimize code by adding conditional includes
- Moved some comments from zen to STARTERKIT where they belong
- Optimized zen_breadcrumb()
- Folded template-menus.php back into template.php since its not conditionally included
- Removed theme_username from STARTERKIT and zen_classic since it was fixed in Drupal 6.3
- Optimized zen_menu_item_link()
- #305311: CSS files makes reference to to drupal5-reference.css
- #299419: Remove empty zen.css in sub-themes
- #284798: PHP warning when settings section of .info file is missing
- #272655: Make STARTERKIT_theme easier to extend

Zen 6.x-1.0-beta2, 2008-05-20
-----------------------------
- #260016: PHP 4 Parse error: syntax error, unexpected '&'

Zen 6.x-1.0-beta1, 2008-05-15
-----------------------------
- #253609 by jjeff: Add 'region' class to regions
- #258123 by jjeff: Rearrange placement of #site-name strong
- #248103: Allow themes to set defaults for settings in their .info files
- #249532: Allow subthemes to have preprocess hooks without tpl files
- #223518: Option to show page title in breadcrumbs
- #253249: zen_id_safe fails when first character is extended latin
- #251632: Make the closure region more useful
- #199682: 'Submitted by' text is shown for content even if setting is disabled
- #222339: Blocks in Zen Classic header and closure lack padding
- #248780: admin table styles override update_status styling
- #232840: OpenID login block displaying incorrectly
- #246110 by jjeff: zen.css breaks .container-inline
- #229661: Search Box doesn't return any results or warnings
- #244023 by jjeff: Make block editing links go to actual menu edit pages
- #245968 by jjeff: Put the word "Comments" above comments
- #238387: Update README on how to edit the .info file
- #227297 by Aragorn450: CSS Include for wireframes broken
- Prevented "notice: Undefined variable: edit_links" for anonymous users
- Made block-editing.css a "theme"-type CSS file
- #224416 by sykora: <span> displaying on mouse over on block heading
- Added complete Drupal 6 CSS for easy reference by theme developers
- Added Photoshop file for tabs
- #222299: Block editing link in Zen Classic footer is white on white

Zen 5.x-1.2, 2009-02-15
-----------------------
- #342004 by Amitaibu: Add css hint to prevent cramped-looking tables
- #290657: Liquid layout does not have min-width enforced
- #279896 by lutegrass: Help prevent double H1 tags on homepage that is not /node
- #346706 by jsaints: Content clipped after page one when printing in Firefox
- Added $body_classes_array variable to page template
- Simplified body class generation code
- Fixed theme settings CSS for IE6 users
- #288213 by budda: Tabs in IE have a text select cursor rather than hand pointer
- #249823: Add options to toggle display of primary and secondary links
- #281106 by kmonty: Erroneous whitespace when div.clear-block touches bottom edge of viewport
- #279896: Help prevent double H1 tags on homepage that is not /node
- #279896: Moved styles to zen.css that should never have been in layout.css
- #255265 by kmonty: Don't "skip to nav" if there's no nav
- #263228: Allow sub-themes to override wireframes.css
- Added sample override template file for search block's form
- Fixed _zen_hook() to look in sub-theme directory when $hook is not valid PHP function name
- #223518: Option to show page title in breadcrumbs
- #255263: Don't call preprocess functions twice when Zen is active theme
- #253249: zen_id_safe fails when first character is extended latin

Zen 5.x-1.1, 2008-04-21
-----------------------
- #246109: Add MODULE_preprocess_HOOK functions to Zen
- #199682: 'Submitted by' text is shown for content even if setting is disabled
- #247960: Add THEME_preprocess() hook to Zen
- #222339: Blocks in Zen Classic header and closure lack padding
- #248720 by matt@antinomia: Only UPDATE {system} table WHERE type = 'theme'
- #248780: admin table styles override update_status styling
- #246110 by jjeff: zen.css breaks .container-inline
- Prevented "notice: Undefined variable: edit_links" for anonymous users
- Made block-editing.css a "theme"-type CSS file
- Added Photoshop file for tabs
- #222299: Block editing link in Zen Classic footer is white on white

Zen 5.x-1.0, 2008-02-14
-----------------------
- #220161: Change SUBTHEME to STARTERKIT to prevent accidental WSOD
- #221545 by jjeff: Add theme_comment_wrapper() and theme_username() from Zengine
- #220551: IE6: sidebars disappear when resizing window
- Added body classes: section-node-add, section-node-edit, section-node-delete
- Prevented display of empty help from node_help()
- #219401: Add theme override examples for all functions used in Zen core

Zen 5.x-1.0-beta2, 2008-01-29
-----------------------------
- #214777: sub-theme's search-theme-form.tpl is ignored
- #206707: tr.even/odd border-bottom is missing in IE
- #207743 by jjeff: Added translatable "Unpublished" text as background
- #207743 by jjeff: Added block editing links on hover
- Added extended block classes (zebra class by jjeff)
- #207743 by jjeff: Allow a sub-theme to add/alter block variables
- #110897: oversize content causes IE6 layout breakage (now fixed in Zen Classic)
- #211156 by jjeff: $subtheme_directory variable in page.tpl.php never gets populated
- #206060: changed inline styling method for navbar links from inline to float

Zen 5.x-1.0-beta1, 2008-01-06
-----------------------------
- Removed named anchors from doc flow to prevent any styles from appearing
- #203213 by kdebaas: Add node-teaser class to nodes displayed as teasers
- #203112 by kdebaas: Un-localizable string in search-theme-form.tpl.php
- #201793: Fixed fatal error when no settings are added to a sub-theme's settings
- #196181: _phptemplate_callback doesn't look in sub-theme folder for .tpl.php files
- Added sample override template file for drupal search form
- Added SUBTHEME directory as a starter sub-theme for developers
- #199036 by joachim: Make padding on #squeeze conditional
- #199578: Fatal error on Zen Classic theme settings when using admin theme
- #200380 by psynaptic: missing semi-colon in layout-fixed.css
- #196230: Tabs broken in IE5 and IE6
- #199682: 'Submitted by' text is shown even if setting is disabled
- #171201: Remove un-localizable date/time format from base theme
- Added theme settings to control layout method and wireframes inclusion
- Added fixed layout stylesheet

Zen 5.x-0.8, 2007-11-29
-----------------------
- #196223: IE5 always loads @import print stylesheet
- #184232: Add README documentation
- #121991: Source rendering order needs adjustment
- #110897: oversize content causes IE6 layout breakage
- Added unique classes for each page and website section
- Added customizable breadcrumb settings
- Split template.php into multiple files to ease theme developer overload
- Add prettier tab styling
- #141784: Add conditional IE stylesheets
- Merge zen-fixed with zen_classic
- Add optional Theme Settings API integration
- #169359: Base CSS and tpl files don't get loaded (sub-theme with page.tpl.php)
- #171464: Create starter theme; migrate current style to a sub-theme
- Add ability to change regions in a sub-theme
- Add complete Drupal 5 CSS for easy reference by theme developers
- #183936: Backport Drupal 6 $body_classes

Zen 5.x-0.7, 2007-10-15
-----------------------
- #100894: For SEO, H1#site-name should be div#site-name strong
- #118467 by leandrosiow: Screen redraw errors with resizable textareas in Firefox
- #154937 by msonnabaum: add skip navigation for screen readers/mobility impaired
- #122592: Ability to theme each primary link
- #178560 by incognito: Shifting avatars in the comment blocks
- #110553 by rport: Use png instead of gif for images
- #120052: Add linux fonts
- #183360: Empty H2 appears on blocks with no titles
- #121101: zen.css does not validate
- #110902: IE6: text falls outside and to the left of content area
- #183354: Add a div around the feed icons
- #120341: Sidebar has unwanted 5em bottom margin
- #122938: Enabling CSS aggregation messes up the CSS in Safari
- #110897: oversize content causes IE6 layout breakage
- #119270: profile pictures indenting
- #118170 by mr700: blockquote css border has two widths
- #110810: change .submitted span to div
- #100899: don't use sidebar class for widths
- #182130 by joachim: links in h2 and h3 different sizes
- #182556: Added CHANGELOG

Zen 5.x-0.6, 2007-01-17
-----------------------
- Initial pre-release
